// Pane3.cpp : implementation file
//

#include "stdafx.h"
#include "sutra.h"
#include "Pane3.h"
#include "TabbedDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPane3 property page

static UINT staticTextToModify[] = { IDC_NUCYC_TITLE, IDC_NPCYC_TITLE};


IMPLEMENT_DYNCREATE(CPane3, CBasePropertyPage)

CPane3::CPane3() : CBasePropertyPage(CPane3::IDD)
{
	//{{AFX_DATA_INIT(CPane3)
	m_DELT = 0.0;
	m_DTMAX = 0.0;
	m_ITCYC = 0;
	m_ITMAX = 0;
	m_NPCYC = 0;
	m_NUCYC = 0;
	m_DTMULT = 0.0;
	m_TMAX = 0.0;
	m_TSTART = 0.0;
	//}}AFX_DATA_INIT
}

CPane3::~CPane3()
{
}

void CPane3::DoDataExchange(CDataExchange* pDX)
{
	CBasePropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPane3)
	DDX_Text(pDX, IDC_DELT, m_DELT);
	DDX_Text(pDX, IDC_DTMAX, m_DTMAX);
	DDX_Text(pDX, IDC_ITCYC, m_ITCYC);
	DDX_Text(pDX, IDC_ITMAX, m_ITMAX);
	DDX_Text(pDX, IDC_NPCYC, m_NPCYC);
	DDX_Text(pDX, IDC_NUCYC, m_NUCYC);
	DDX_Text(pDX, IDC_DTMULT, m_DTMULT);
	DDX_Text(pDX, IDC_TMAX, m_TMAX);
	DDX_Text(pDX, IDC_TSTART, m_TSTART);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPane3, CBasePropertyPage)
	//{{AFX_MSG_MAP(CPane3)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPane3 message handlers

void CPane3::ReturnValues(SUTRAProjectInfo &info)
{
	info.DELT = m_DELT;
	info.DTMAX = m_DTMAX;
	info.ITCYC = m_ITCYC;
	info.ITMAX = m_ITMAX;
	info.NPCYC = m_NPCYC;
	info.NUCYC = m_NUCYC;
	info.DTMULT = m_DTMULT;
	info.TMAX = m_TMAX;
	info.TSTART = m_TSTART;
}

void CPane3::GetValues(SUTRAProjectInfo &info)
{
	m_DELT = info.DELT;
	m_DTMAX = info.DTMAX;
	m_ITCYC = info.ITCYC;
	m_ITMAX = info.ITMAX;
	m_NPCYC = info.NPCYC;
	m_NUCYC = info.NUCYC;
	m_DTMULT = info.DTMULT;
	m_TMAX = info.TMAX;
	m_TSTART = info.TSTART;
}

BOOL CPane3::OnSetActive() 
{



	this->ReplaceIni(staticTextToModify, SIZEOF_ARRAY(staticTextToModify));


	// CTabbedDialog* parent = (CTabbedDialog*)GetParent();
	// CPane2* Pane2 = parent->GetPane2();

	
	return CBasePropertyPage::OnSetActive();
}
