// RunSUTRADialog.cpp : implementation file
//

#include "stdafx.h"
#include "sutra.h"
#include "RunSUTRADialog.h"

#include "TabbedDialog.h"
#include "Pane1.h"
#include "Pane2.h"
#include "Pane3.h"
#include "Pane4.h"
#include "Pane5.h"
#include "Pane6.h"
#include "Pane7.h"
#include "Pane8.h"

#include "ANECB.H"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRunSUTRADialog dialog


CRunSUTRADialog::CRunSUTRADialog(CWnd* pParent /*=NULL*/)
	: CDialog(CRunSUTRADialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRunSUTRADialog)
	m_RunSutra = -1;
	m_AlertLevel = -1;
	m_Calibrate = FALSE;
	//}}AFX_DATA_INIT
	m_RunSutra = 0;
	m_AlertLevel = 0;
}


void CRunSUTRADialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRunSUTRADialog)
	DDX_Radio(pDX, IDC_RUNSUTRA, m_RunSutra);
	DDX_Radio(pDX, IDC_RADIO_Alert0, m_AlertLevel);
	DDX_Check(pDX, IDC_CHECK_Calibrate, m_Calibrate);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRunSUTRADialog, CDialog)
	//{{AFX_MSG_MAP(CRunSUTRADialog)
	ON_BN_CLICKED(IDC_EDITPARAMS, OnEditparams)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRunSUTRADialog message handlers

void CRunSUTRADialog::OnEditparams() 
{
	m_ProjectInfo->ShowDialog();
}



BOOL CRunSUTRADialog::PreTranslateMessage(MSG* pMsg) 
{
	if (m_ANEHandle)
		ANE_ProcessEvents(m_ANEHandle);
	
	return CDialog::PreTranslateMessage(pMsg);
}
