// ModelSetupDialog.h : header file
//

#include "BaseDialog.h"

class SUTRAProjectInfo;
/////////////////////////////////////////////////////////////////////////////
// CModelSetupDialog dialog

class CModelSetupDialog : public CBaseDialog
{
// Construction
public:
	void FillInfo(SUTRAProjectInfo* info);
	CModelSetupDialog(CWnd* pParent = NULL);   // standard constructor
	~CModelSetupDialog();   // standard destructor

// Dialog Data
	//{{AFX_DATA(CModelSetupDialog)
	enum { IDD = IDD_MODELSETUP };
	int		m_Orientation;
	int		m_MeshDesign;
	int		m_FlowConditions;
	int		m_TransportConditions;
	int		m_ModelThickness;
	BOOL	m_SpecifyModel;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CModelSetupDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	

	void EnableControls(UINT* pControls, UINT cControls, BOOL fVisible);

	// Generated message map functions
	//{{AFX_MSG(CModelSetupDialog)
	afx_msg void OnSpecifymodel();
	virtual BOOL OnInitDialog();
	afx_msg void OnOrientation();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
