// Pane1.h : header file
//
#include "sutra_pie.h"
#include "BasePropertyPage.h"
/////////////////////////////////////////////////////////////////////////////
// CPane1 dialog

class CPane1 : public CBasePropertyPage
{
	DECLARE_DYNCREATE(CPane1)

// Construction
public:
	virtual void GetValues(SUTRAProjectInfo &info);
	virtual void ReturnValues(SUTRAProjectInfo &info);
	CPane1();
	~CPane1();

// Dialog Data
	//{{AFX_DATA(CPane1)
	enum { IDD = IDD_PANE1 };
	long	m_NTOBS;
	CString	m_SIMULA;
	CString	m_TITLE1;
	CString	m_TITLE2;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPane1)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPane1)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	BOOL m_userSpecMode;
	SUTRAProjectInfo::EOrientation m_orientation;
	SUTRAProjectInfo::EFlowConditions m_flowConditions;
	SUTRAProjectInfo::ETransportConditions m_transportConditions;
	SUTRAProjectInfo::EModelThickness m_modelThickness;
	SUTRAProjectInfo::EMeshDesign m_meshDesign;
};
