// Pane2.cpp : implementation file
//

#include "stdafx.h"
#include "sutra.h"
#include "Pane2.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPane2 property page

static UINT staticTextToModify[] = { IDC_GNUU_TITLE, IDC_GNUP_TITLE, IDC_ISSTRA};


IMPLEMENT_DYNCREATE(CPane2, CBasePropertyPage)

CPane2::CPane2() : CBasePropertyPage(CPane2::IDD)
{
	//{{AFX_DATA_INIT(CPane2)
	m_GNUP = 0.0;
	m_GNUU = 0.0;
	m_IREAD = -1;
	m_ISSFLO = -1;
	m_ISSTRA = -1;
	m_IUNSAT = -1;
	m_UP = 0.0;
	//}}AFX_DATA_INIT
}

CPane2::~CPane2()
{
}

void CPane2::DoDataExchange(CDataExchange* pDX)
{
	CBasePropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPane2)
	DDX_Control(pDX, IDC_IUNSAT, m_IUNSATCombo);
	DDX_Text(pDX, IDC_GNUP, m_GNUP);
	DDX_Text(pDX, IDC_GNUU, m_GNUU);
	DDX_CBIndex(pDX, IDC_IREAD, m_IREAD);
	DDX_CBIndex(pDX, IDC_ISSFLO, m_ISSFLO);
	DDX_CBIndex(pDX, IDC_ISSTRA, m_ISSTRA);
	DDX_CBIndex(pDX, IDC_IUNSAT, m_IUNSAT);
	DDX_Text(pDX, IDC_UP, m_UP);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CPane2, CBasePropertyPage)
	//{{AFX_MSG_MAP(CPane2)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPane2 message handlers

void CPane2::ReturnValues(SUTRAProjectInfo &info)
{
	info.GNUP = m_GNUP;
	info.GNUU = m_GNUU;

	// IREAD is mapped to a combo, where 0 -> 1
	// and 1 -> -1
	if (m_IREAD == 0)	
		info.IREAD = 1;
	else if (m_IREAD == 1)
		info.IREAD = -1;
	info.ISSFLO = m_ISSFLO;
	info.ISSTRA = m_ISSTRA;
	info.IUNSAT = m_IUNSAT;
	info.UP = m_UP;
}

void CPane2::GetValues(SUTRAProjectInfo &info)
{

	m_GNUP = info.GNUP;
	m_GNUU = info.GNUU;
	// IREAD is mapped to a combo, where 0 -> 1
	// and 1 ->- 1
	if (info.IREAD == -1)
		m_IREAD = 1;
	else
		m_IREAD = 0;
	m_ISSFLO = info.ISSFLO;
	m_ISSTRA = info.ISSTRA;
	m_IUNSAT = info.IUNSAT;
	m_UP = info.UP;

	// m_UserSpecificIUNSAT = (!info.defaultSetting && info.orientation != SUTRAProjectInfo::kCROSS_SECTIONAL);
	m_UserSpecificIUNSAT = (!info.defaultSetting);

	m_SoluteMode = (!info.defaultSetting &&  info.transportConditions != SUTRAProjectInfo::kENERGY);
	m_EnergyMode = (!info.defaultSetting &&  info.transportConditions == SUTRAProjectInfo::kENERGY);
}

BOOL CPane2::OnSetActive() 
{
	if (m_UserSpecificIUNSAT)
		m_IUNSATCombo.EnableWindow(FALSE);
	
	this->ReplaceIni(staticTextToModify, SIZEOF_ARRAY(staticTextToModify));

	return CBasePropertyPage::OnSetActive();
}
